; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	; ZEILE3	
	rcall LCD_ZEILE3
	rcall ANZEIGE_TAKT_KURZ
	; ZEILE4	
	rcall LCD_ZEILE4
 	rcall ANZEIGE_ROM_ID_KURZ

	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_MENUE0:
	; ZEILE1	
	rcall LCD_ZEILE1
	ldi temp, 'D'		; 
	rcall LCD_DATA
	ldi temp, 'C'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_SPACE2	; 
	rcall ANZEIGE_DCF_GUELTIG_KURZ
	rcall LCD_SPACE2	; 
	rcall ANZEIGE_WOCHENTAG_KURZ
	rcall LCD_SPACE2	; 
	rcall ANZEIGE_MESZ_KURZ	

;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall LCD_SPACE8
	rcall LCD_SPACE8
;-------------------------------------------------------------------------------
	; ZEILE3	
	rcall LCD_ZEILE3
	rcall ANZEIGE_DATUM_KURZ
	rcall LCD_SPACE2
	rcall ANZEIGE_ZEIT_KURZ

;-------------------------------------------------------------------------------
	; ZEILE4	
	rcall LCD_ZEILE4
	rcall LCD_SPACE8
	rcall LCD_SPACE8
	rcall LCD_ZEILE4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SONNE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp, 'A'		; 
	rcall LCD_DATA
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_AUFGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_AUFGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'N'		; 
	rcall LCD_DATA
	ldi temp, 'T'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_UNTERGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_UNTERGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1

	; ZEILE3	
	rcall LCD_ZEILE3
	LDS temp1,(adr_KALENDERTAG_L)
	LDS temp2,(adr_KALENDERTAG_H)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1_TEMP2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_ONLINE_OFFLINE:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_DCF_ONLINE_KURZ
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_DCF_OFFLINE_KURZ
;-------------------------------------------------------------------------------
	; ZEILE3	
	rcall LCD_ZEILE3
	; DCF-ZEIGER
	LDS temp1, (adr_DCF_ZEIGER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE4	
	rcall LCD_ZEILE4

	LDS temp1,(adr_DCF_BIT)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG:
	; ZEILE1			
	rcall LCD_CLEAR
	; DCF-ZEIGER		
	ldi temp,'Z'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_ZEIGER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF SAMPLES A+B	
	ldi temp,'S'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_SAMPLES_A)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_SAMPLES_B)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF-BIT		
	ldi temp,'B'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_BIT)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF PHASE		
	ldi temp,'P'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_IMPULS_PHASE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1

;-------------------------------------------------------------------------------
	; ZEILE3	
	rcall LCD_ZEILE3
	ldi temp,'h'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall ANZEIGE_BETRIEBSSTUNDEN_KURZ
;-------------------------------------------------------------------------------
	; ZEILE4	
	rcall LCD_ZEILE4
	rcall ANZEIGE_ROM_ID_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

